﻿////mr-bundler-ignore
var MrModify = function () { }
function MrStartUI() {
    MrMUISecoundryColor = '#E0B86B';
    MrMUIPrimaryColor = '#F5F5F5';
    MrMUIToolWidth = "32vw";
    MrMUIToolMaxWidth = "650px";
    MrMUIToolMinWidth = "400px";
    MrExcludedCSSElementsSelector = ".fa, .fab, .fad, .fal, .far, .fas,i";
    Mrnoggt = false;
    MrCID = 355;
    MrAudCid = 98;
    MrArabicUIisOn = document.getElementsByTagName('html')[0].getAttribute('lang') == 'ar' || window.location.href.toString().toLowerCase().indexOf('/ar/'.toLowerCase()) > -1;
    MrArabicFlag = "ar";
    MrServiceLink = "https://mindrockets.co/AIHN";
    MrGotoArabicVersion = function () {

        if (!MrArabicUIisOn) {


           MrTryToGoToSimulateLanguageSwitch('العربية');
            //MrMUIApplyTranslate("ar");
            MrUPChangeToolLangToAR();
        }
    };
    MrGotoEnglishVersion = function () {

        if (MrArabicUIisOn) {

           MrTryToGoToSimulateLanguageSwitch('English');

            // MrMUIApplyTranslate("en");
            MrUPChangeToolLAngToEN();
        }
    };
    MrModify();
    MRUAPPrepareUI(["MrSignLanguage","MrText2Speech", "MrControl_Page_contrast", "MrCursor_Helpers", "MrChangefont", "MrPage_saturation_control", "MrWords_Spacing", "MrRealWords_Spacing", "MrLine_Spacing", "MrEnlarge_Fonts", "MrHighlight_Links", "MrAnimation", "MrText_Alignments", "MrPage_Structure", "MrHideImgs"], ["MrVisuallyImpaired", "Mrdyslexia", "MrADHD", "MrSeizureAndEpilepsy", "MrColor_Blind", "Mrcognitive_education", "MrImpaired_mobility"]);

    var MrIconMessage = MrArabicUIisOn ? "مساعدة في استخدام الموقع" : "Assist using site";

    var MrIconToAdd =
        '<div id="MrAccessInHand" title="' +
        MrIconMessage +
        '"><img src="https://cdn.mindrocketsapis.com/client/imgs/png/accessability.png" width="50" alt="' +
        MrIconMessage +
        '"></div>';
    MrUAPAddStyle(
        "#MrAccessInHand:hover { filter: brightness(1.3);} #MrAccessInHand {z-index: 99;cursor:pointer; position: fixed; bottom: 65px; left: 5px; background-color: " +
        MrMUISecoundryColor +
        "; border-radius: 5px;width:50px;height:50px;text-align:center } #MrAccessInHand img{filter:" +
        MrUtilHexToFilter(MrMUIWhite) +
        ";margin-top:5px;width:40px}",
        "MrbuttonCSS"
    );


    MrUAPAddStyle(
        '@media (max-width: 800px) { .MrMUI-tab-switcher { max-width: 35vw !important; font-size: 11px; padding: 1vh; margin: 10px; } }'
    );
    // MrUAPAddStyle(
    //     'div#MrMUiUL { justify-content: space-between; display: flex;}'
    // );
 
    MrUAPAddStyle(
        '.MrMUI-tab-switcher.mr-tooltip-skip.mr-font-size.mr-skip-mui { margin-top: 10px; }'
    );
     MrUAPAddStyle(
        '.mr-muiTool label  { display: inline-block; font-size: 16px; font-weight: 600; margin: 0 0 0.5rem 0; }'
    );
     MrUAPAddStyle(
        'a.MrResetToolsBtn.mr-tooltip-skip.mr-font-size.mr-skip-mui { text-decoration: none;}'
    );
    jQuery("body").append(MrIconToAdd);

    jQuery("#MrAccessInHand").click(function () {
        MrToolCheckLicense();
        MrUAPShowAssistiveTool();

        MrMUIGetGoogleTranslationValues(2);
        if (MrArabicUIisOn) {
            jQuery("[mrtitleen='Arabic']").addClass("MrMUIActivated");
            jQuery("[mrtitleen='Arabic'] label").addClass("MrButtonActive");
        } else {
            jQuery("[mrtitleen='English']").addClass("MrMUIActivated");
            jQuery("[mrtitleen='English'] label").addClass("MrButtonActive");
        }
    });
    MrUAPPrepareMrOrgColor();
    MrMUIActivateShotcuts();
}
////endmr-bundler-ignore
jQuery(document).ready(function () {
    setTimeout(function () {
        MrStartUI();
        MrUAPAddStyle('body{position:unset !important}',"MrResolveBodyShift");
    }, 500);
});